ngfd-plugin: /build/ngfd/src/ngfd-1.4.1/src/include/ngf/inputinterface.h File Reference

ngfd-plugin

Classes | Typedefs | Functions
inputinterface.h File Reference
`#include <ngf/core.h>`
`#include <ngf/request.h>`

Go to the source code of this file.

## Classes
struct | _NInputInterfaceDecl
| Interface declaration structure. More...

## Typedefs
typedef struct _NInputInterface | NInputInterface
| Internal inputinterface structure.
typedef struct _NInputInterfaceDecl | NInputInterfaceDecl
| Interface declaration structure.

## Functions
NCore * | n_input_interface_get_core (NInputInterface *iface)
| Get core to which interface is associated to.
int | n_input_interface_play_request (NInputInterface *iface, NRequest *request)
| Start playback of the request.
int | n_input_interface_pause_request (NInputInterface *iface, NRequest *request)
| Pauses playback of the request.
void | n_input_interface_stop_request (NInputInterface *iface, NRequest *request, guint timeout)
| Stops playback of the request.
void | n_input_interface_set_userdata (NInputInterface *iface, void *userdata)
| Stores userdata for the interface.
void * | n_input_interface_get_userdata (NInputInterface *iface)
| Returns userdata stored to the interface.

## Typedef Documentation

## ◆ NInputInterface

typedef struct _NInputInterface NInputInterface

Internal inputinterface structure.

## ◆ NInputInterfaceDecl

typedef struct _NInputInterfaceDecl NInputInterfaceDecl

Interface declaration structure.

## Function Documentation

## ◆ n_input_interface_get_core()

NCore * n_input_interface_get_core | ( | NInputInterface * | iface | ) |

Get core to which interface is associated to.

Parameters

  iface | NInputInterface structure

Returns
  NCore structure

## ◆ n_input_interface_get_userdata()

void * n_input_interface_get_userdata | ( | NInputInterface * | iface | ) |

Returns userdata stored to the interface.

Parameters

  iface | NInputInterface structure

Returns
  Userdata for the interface

## ◆ n_input_interface_pause_request()

int n_input_interface_pause_request | ( | NInputInterface * | iface,
|  | NRequest * | request )

Pauses playback of the request.

Parameters

  iface | NInputInterface structure
  request | NRequest structure

Returns
  TRUE if success

## ◆ n_input_interface_play_request()

int n_input_interface_play_request | ( | NInputInterface * | iface,
|  | NRequest * | request )

Start playback of the request.

Request can be paused or not yet started.

Parameters

  iface | NInputInterface structure
  request | NRequest structure

Returns
  TRUE if success

## ◆ n_input_interface_set_userdata()

void n_input_interface_set_userdata | ( | NInputInterface * | iface,
|  | void * | userdata )

Stores userdata for the interface.

Parameters

  iface | NInputInterface structure
  userdata | Interface userdata to store

## ◆ n_input_interface_stop_request()

void n_input_interface_stop_request | ( | NInputInterface * | iface,
|  | NRequest * | request,
|  | guint | timeout )

Stops playback of the request.

Parameters

  iface | NInputInterface structure
  request | NRequest structure
  timeout | Timeout in ms

Returns
  TRUE if success